SME Loan Repayment Reporting
Share Single Consumer loan repayment data (HTTP POST) to the DLN​
POST https://dev.creditchek.africa/v1/dln/commerce/loanRepayment
This endpoint allows only a single object at a time. Lenders are encouraged to submit their borrowers' loan repayment data whenever a repayment is made or a borrower's repayment status changes. Keeping repayment records up to date helps improve cross-lender visibility, borrower performance tracking, and portfolio risk management.
Request Parameters​
Example Request
---
curl --location 'https://dev.creditchek.africa/v1/dln/commerce/loanRepayment' \
--header 'token: JWR6t1qp8UcHrGVFyTPhrIWyayH+8eUQFSDkLih6lA2KXGo4CzGUx/zqPc8uhksb' \
--data-raw '{
"customerId": "6287757348cc6c0013f4d0a0",
"regNo": "RC1062517",
"name": "CREDITCHEK TECHNOLOGIES NIGERIA LIMITED",
"dateOfRegistration": "17/05/2019",
"businessCategory": "Energy",
"addressLine1": "Ikorodu road, Lagos",
"city": "Yaba",
"state": "Lagos",
"country": "Nigeria",
"phoneNumber": "08153408713",
"website": "",
"email": "[email protected]",
"accountType": "Commercial/Business fixed term loan",
"accountNumber": "2014603139",
"accountName": "Srisri Ibe",
"lastPaymentAmount": 0,
"dateOpened": "03/08/2024",
"lastPaymentDate": "03/08/2024",
"maturityDate": "03/06/2024",
"loanAmount": 100,
"outstandingBalance": 100,
"overdueAmount": 0,
"daysInArrears": 0,
"collateral": "No",
"consentStatus": "Yes",
"accountStatusDate": "03/08/2024",
"legalChallengeStatus": "No",
"minimumInstallment": 285500,
"nextDueDate": "02/09/2024",
"loanDuration": "6 months",
"purpose": "Float",
"repaymentFrequency": "Monthly",
"accountDescription": "United Bank For Africa",
"currency": "NGN",
"accountStatus": "Open",
"principal1LastName": "IBE",
"principal1FirstName": "SRISRI",
"principal1MiddleName": "KAYODE",
"principal1Gender": "Male",
"principal1DateOfBirth": "12/05/1988",
"principal1AddressLine1": "NYSC CAMP, OKADA EDO STATE",
"principal1Country": "Nigeria",
"principal1City": "Ojo",
"principal1State": "Lagos",
"principal1BVN": "23150827368",
"principal1PhoneNumber": "+2348152032109",
"principal1Email": "[email protected]",
"principal1PositionInBusiness": "Shareholder",
"principal1AddressLine2": "",
"principal1NIN": "",
"principal1DriversLicense": "",
"principal1PassportNumber": "",
"principal1OtherId": "",
"principal2AddressLine2": "",
"principal2NIN": "",
"principal2DriversLicense": "",
"principal2PassportNumber": "",
"principal2OtherId": "",
"principal2": "Yes",
"principal2LastName": "TATTVA",
"principal2FirstName": "DODAN",
"principal2MiddleName": "MONTY",
"principal2Gender": "Male",
"principal2DateOfBirth": "14/09/1988",
"principal2AddressLine1": "NYSC CAMP, OKADA EDO STATE",
"principal2Country": "Nigeria",
"principal2City": "Ojo",
"principal2State": "Lagos",
"principal2BVN": "20150827608",
"principal2PhoneNumber": "+2348145062114",
"principal2Email": "[email protected]",
"principal2PositionInBusiness": "Guarantor",
"addressLine2": "NaN",
"noOfDirectors": "",
"businessType": "",
"businessSector": "Others",
"taxId": "",
"collateralType": "",
"collateralDetails": "",
"litigationDate": ""
}'
---
Response
{
"status": true,
"data": {},
"message": "ledger updated successfully",
"error": false
}